<template>
  <div class="container history">
    <div class="row" style="width: 1400px;">
      <div class="col-3">
        <ul class="History">
          <li class="LiHistory">
            <button class="active" @click="changeStatusPerson()">
              <b-icon-person-badge></b-icon-person-badge> ข้อมูลส่วนตัว
            </button>
          </li>
          <li class="LiHistory">
            <button @click="changeStatusJob()">
              <b-icon-clipboard-check></b-icon-clipboard-check> ลักษณะงาน
            </button>
          </li>
          <li class="LiHistory">
            <button @click="changeStatusHisEducation()">
              <b-icon-building></b-icon-building> ประวัติการศึกษา
            </button>
          </li>
          <li class="LiHistory">
            <button @click="changeStatusHisWork()">
              <b-icon-building></b-icon-building> ประวัติการทำงาน / ฝึกงาน
            </button>
          </li>
          <li class="LiHistory">
            <button @click="changeStatusTrain()">
              <b-icon-file-earmark-medical></b-icon-file-earmark-medical>
              ประวัติการฝึกอบรม
            </button>
          </li>
          <li class="LiHistory">
            <button href="#" @click="changeStatusSkills()">
              <b-icon-star-fill></b-icon-star-fill> ความสามารถและผลงาน
            </button>
          </li>
        </ul>
      </div>
      <div class="col-lg-8">
        <div class="card">
          <div class="card-block">
            <p class="card-text">
              แก้ไขข้อมูลล่าสุด : 2 มกราคม 2564.<br />
              สถานะ : อยู่ระหว่างการตรวจสอบ
            </p>
            <p class="card-text">
              ความสมบูรณ์ของประวัติ : 0%
            </p>
            <button class="btn btn-warning">ฝากประวัติ</button>
          </div>
        </div>
        <div class="card form" v-if="statusPerson === true">
          <h5 class="card-title form">แก้ไขข้อมูลส่วนตัว</h5>
          <div class="row">
            <div class="col-6">
              <div class="formformat">
                <label class="form">ชื่อผู้ใช้งาน :</label>
                <b-form-group>
                  <b-form-input
                    v-model="form.m_User"
                    class="forminput"
                    type="text"
                    disabled
                  ></b-form-input
                ></b-form-group>
                <label class="form">Email :</label>
                <b-form-group>
                  <b-form-input
                    v-model="form.m_Email"
                    class="forminput"
                    type="email"
                    disabled
                  ></b-form-input
                ></b-form-group>
                <label class="form">ชื่อจริง :</label>
                <b-form-group>
                  <b-form-input
                    v-model="form.m_Firstname"
                    class="forminput"
                    type="text"
                  ></b-form-input
                ></b-form-group>
                <label class="form">นามสกุล :</label>
                <b-form-group>
                  <b-form-input
                    v-model="form.m_Lastname"
                    class="forminput"
                    type="text"
                  ></b-form-input
                ></b-form-group>
                <label class="form">สัญชาติ :</label><br />
                <b-form-select
                  style="width: 332px;"
                  v-model="form.m_Nationality"
                  :options="Nationality"
                  class="mb-3"
                  value-field="item"
                  text-field="name"
                ></b-form-select
                ><br />
                <label>ศาสนา :</label><br />
                <b-form-select
                  style="width: 332px;"
                  v-model="form.m_Religion"
                  :options="Religion"
                  class="mb-3"
                  value-field="item"
                  text-field="name"
                ></b-form-select
                ><br />
                <div class="row">
                  <label class="gender"> เพศ : </label>
                  <b-form-radio-group
                    style="margin-left: 10px"
                    v-model="form.m_Gender"
                    :options="Genderoptions"
                    class="mb-3"
                    value-field="item"
                    text-field="name"
                  ></b-form-radio-group>
                </div>
                <label class="form"
                  >นํ้าหนัก :
                  <input
                    class="forminputW"
                    type="number"
                    v-model="form.m_Weight"
                  />
                  กิโลกรัม</label
                ><br />
                <label class="form"
                  >ส่วนสูง :
                  <input
                    class="forminputH"
                    type="number"
                    v-model="form.m_Height"
                  />
                  เซนติเมตร</label
                >
              </div>
            </div>
            <div class="col-6">
              <div class="formformat">
                <div class="Image">
                  <b-card-img
                    class="ImagePerson"
                    src="https://www.nicepng.com/png/full/192-1921815_-corgi-cartoon-face.png"
                  ></b-card-img>
                </div>
                <div class="btnImage">
                  <button class="btn btn-info image">อัพโหลดรูปภาพ</button>
                </div>
                <label class="form">บ้านเลขที่ :</label>
                <b-form-input
                  class="forminput"
                  type="text"
                  v-model="form.m_Address.m_Number"
                ></b-form-input>
                <label class="form">จังหวัด :</label><br />
                <b-form-select
                  id="blockSelect1"
                  v-model="form.m_Address.m_Province"
                  :options="province"
                  class="mb-3"
                  value-field="item"
                  text-field="name"
                ></b-form-select
                ><br />
                <label class="form">เขต/อำเภอ :</label><br />
                <b-form-select
                  id="blockSelect1"
                  v-model="form.m_Address.m_District"
                  :options="district"
                  class="mb-3"
                  value-field="item"
                  text-field="name"
                ></b-form-select
                ><br />
                <label class="form">แขวง/ตำบล :</label><br />
                <b-form-select
                  id="blockSelect1"
                  v-model="form.m_Address.m_SubDistrict"
                  :options="subdistrict"
                  class="mb-3"
                  value-field="item"
                  text-field="name"
                ></b-form-select
                ><br />
                <label class="form">รหัสไปรษณีย์ :</label><br />
                <b-form-select
                  id="blockSelect1"
                  v-model="form.m_Address.m_PostalCode"
                  :options="PostalCode"
                  class="mb-3"
                  value-field="item"
                  text-field="name"
                ></b-form-select
                ><br />
                <label class="form">เบอร์โทรศัพท์ :</label>
                <b-form-input
                  class="forminput"
                  type="text"
                  v-model="form.m_Phonenumber"
                ></b-form-input>
                <div class="Buttonbtn">
                  <button
                    type="submit"
                    class="btn btn-success"
                    style="margin-right: 10px;"
                    v-on:click="addNewResume()"
                  >
                    ยืนยัน
                  </button>
                  <button
                    type="reset"
                    class="btn btn-danger"
                    style="margin-right: 10px;"
                  >
                    ยกเลิก
                  </button>
                </div>
                <div class="Buttonbtn">
                  <button class="btn btn-danger Member">
                    ยกเลิกการเป็นสมาชิก
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- ลักษณะที่ต้องการ Start -->
        <div class="card form" v-if="statusJob === true">
          <h5 class="card-title form">ลักษณะงานที่ต้องการ</h5>
          <div class="row">
            <b-col sm="10">
              <b-form-group
                label="ลักษณะงานที่ต้องการ 1 : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-select id="typework" size="md" required>
                </b-form-select>
              </b-form-group>
              <b-form-group
                label="2 : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-select id="typework" size="md" required>
                </b-form-select>
              </b-form-group>
              <b-form-group
                label="3 : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-select id="typework" size="md" required>
                </b-form-select>
              </b-form-group>
              <b-form-group
                label="สาขาวิชาชีพที่จบ : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="typeEducation" required> </b-form-input>
              </b-form-group>
              <div class="col" id="formwork">
                <label
                  for="form-typetimework"
                  class="col-sm-3 col-form-label text-sm-right"
                  >รูปแบบงานที่ต้องการ :
                </label>
                <b-form-radio class="timeworkI" name="some-radios"
                  >งานประจำ</b-form-radio
                >
                <b-form-radio class="timeworkII" name="some-radios"
                  >งานนอกเวลา</b-form-radio
                >
              </div>
              <b-form-group
                label="เงินเดือนที่ต้องการ(บาท) : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="InputMonney" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="พื้นที่ที่ที่ต้องการทำงาน : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <div id="blockPandD" style="display : flex;">
                  <b-form-select id="typeProvince"> </b-form-select>
                  <b-form-select id="typeDistrict"> </b-form-select>
                </div>
              </b-form-group>

              <b-form-group
                label="วันที่สามารถเริ่มงานได้ : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-select id="typework" size="md" required>
                </b-form-select>
              </b-form-group>
              <div class="col" id="btnSubmittypework">
                <button
                  type="submit"
                  class="btn btn-success"
                  id="Submittypework"
                >
                  บันทึกข้อมูล
                </button>
              </div>
            </b-col>
          </div>
        </div>
        <!-- ลักษณะที่ต้องการ End -->
        <!-- ประวัติการศึกษา Start -->
        <div class="card form" v-if="statusHisEducation === true">
          <h5 class="card-title form">ประวัติการศึกษา</h5>
          <div class="row">
            <b-col sm="10">
              <div class="col" id="hisEducation">
                <label
                  for="form-typetimework"
                  class="col-sm-3 col-form-label text-sm-right"
                  >สถานะปัจจุบัน :
                </label>
                <b-form-radio-group
                  v-model="selectedRadio"
                  :options="optionsRadio"
                  class="mb-3"
                  value-field="item"
                  text-field="name"
                  disabled-field="notEnabled"
                ></b-form-radio-group>
                <b-form-select
                  v-model="selectedEndYear"
                  :options="optionsEndYear"
                  id="formYearEdu"
                  size="md"
                >
                </b-form-select>
              </div>
              <b-form-group
                label="ระดับการศึกษา  : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-select id="fipEducation" size="md" required>
                </b-form-select>
              </b-form-group>
              <b-form-group
                label="ชื่อสถานศึกษา   : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipEducation" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="วุฒิการศึกษา  : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipEducation" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="สาขาวิชา  : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipEducation" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="เกรด : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipEducation" type="text"></b-form-input>
              </b-form-group>
              <div class="col" id="btnSubmittypework">
                <button
                  type="submit"
                  class="btn btn-success"
                  id="Submittypework"
                >
                  บันทึกข้อมูล
                </button>
              </div>
            </b-col>
          </div>
        </div>
        <!-- ประวัติการศึกษา End -->
        <!-- ประวัติการทำงาน / ฝึกงาน Start -->
        <div class="card form" v-if="statusHisWork === true">
          <h5 class="card-title form">ประวัติการทำงาน / ฝึกงาน</h5>
          <div class="row">
            <b-col sm="10">
              <h5 id="historywork">ประสบการณ์ทำงาน</h5>
              <b-form-group
                label="ชื่อสถานศึกษา   : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipwork" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="ระยะเวลา ( ปี ) : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipwork" type="number"></b-form-input>
              </b-form-group>
              <b-form-group
                label="ชื่อบริษัท   : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipwork" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="ที่อยู่บริษัท   : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipwork" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="เงินเดือน (บาท)   : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipwork" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="ตำแหน่ง   : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipwork" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="หน้าที่ความรับผิดชอบและผลงาน : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-textarea
                  id="textarea"
                  rows="3"
                  max-rows="6"
                ></b-form-textarea>
              </b-form-group>
              <div class="col" id="btnSubmittypework">
                <button
                  type="submit"
                  class="btn btn-success"
                  id="Submittypework"
                >
                  บันทึกข้อมูล
                </button>
              </div>
            </b-col>
          </div>
        </div>
        <!-- ประวัติการทำงาน / ฝึกงาน End -->
        <!-- ประวัติการฝึกอบรม / ประกาศนียบัตร Start -->
        <div class="card form" v-if="statusTrain === true">
          <h5 class="card-title form">ประวัติการฝึกอบรม / ประกาศนียบัตร</h5>
          <div class="row">
            <b-col sm="10">
              <b-form-group
                label="ระยะเวลา ( ปี ) : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipwork" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="สถาบัน/หน่วยงาน/บริษัท : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipwork" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="หลักสูตร : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipwork" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="ประกาศนียบัตร/วุฒิบัตร : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <button class="btn btn-primary UploadPDF">
                  อัพโหลดไฟล์ PDF
                </button>
              </b-form-group>
              <b-form-group
                label="ระยะเวลา ( ปี ) : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipwork" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="สถาบัน/หน่วยงาน/บริษัท : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipwork" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="หลักสูตร : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipwork" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="ประกาศนียบัตร/วุฒิบัตร : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <button class="btn btn-primary UploadPDF">
                  อัพโหลดไฟล์ PDF
                </button>
              </b-form-group>
              <div class="col" id="btnSubmittypework">
                <button
                  type="submit"
                  class="btn btn-success"
                  id="Submittypework"
                >
                  บันทึกข้อมูล
                </button>
              </div>
            </b-col>
          </div>
        </div>
        <!-- ประวัติการฝึกอบรม / ประกาศนียบัตร End -->
        <!-- ความสามารถและผลงาน Start -->
        <div class="card form" v-if="statusSkills === true">
          <h5 class="card-title form">ความสามารถและผลงาน</h5>
          <div class="row">
            <div class="col" style="margin-left:10px">
              <h5>อธิบายเกี่ยวกับตนเอง</h5>
              <b-form-textarea
                style="width:425px"
                id="textarea"
                rows="3"
                max-rows="6"
              ></b-form-textarea>
              <div class="forminputskills">
                <h5 style="margin-top:10px">ทักษะและความสามารถพิเศษ</h5>
                <b-form-input id="inputfrmskills" type="text"></b-form-input>
                <b-form-input id="inputfrmskills" type="text"></b-form-input>
                <b-form-input id="inputfrmskills" type="text"></b-form-input>
                <b-form-input id="inputfrmskills" type="text"></b-form-input>
              </div>
              <h5 style="margin-top:10px">พิมพ์ดีด</h5>
              <div id="writer">
                <b-form-group
                  label="ไทย : "
                  label-align-sm="right"
                  label-cols-sm="3"
                >
                  <b-form-select id="writerTH" size="md"> </b-form-select>
                  คำ/นาที</b-form-group
                >
                <b-form-group
                  label="อังกฤษ : "
                  label-align-sm="right"
                  label-cols-sm="3"
                >
                  <b-form-select id="writerEng" size="md"></b-form-select>
                  คำ/นาที</b-form-group
                >
              </div>
            </div>
            <div class="col">
              <h5>ผลงาน</h5>
              <b-form-group
                label="ระยะเวลา : "
                label-align-sm="lefth"
                label-cols-sm="3"
              >
                <div id="blockPandDSkill" style="display : flex;">
                  ตั้งแต่ <b-form-select id="Selectime"> </b-form-select>
                  <b-form-select id="Selectime" style="margin-right:5px">
                  </b-form-select>
                  จนถึง <b-form-select id="Selectime"> </b-form-select>
                  <b-form-select id="Selectime"> </b-form-select>
                </div>
              </b-form-group>
              <b-form-group
                label="สถาบัน/หน่วยงาน/บริษัท : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipskills" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="หลักสูตร : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input id="fipskills" type="text"></b-form-input>
              </b-form-group>
              <b-form-group
                label="ประกาศนียบัตร/วุฒิบัตร : "
                label-align-sm="right"
                label-cols-sm="3"
              >
                <button class="btn btn-primary UploadPDF">
                  อัพโหลดไฟล์ PDF
                </button>
              </b-form-group>
              <h5>มียานพาหนะส่วนตัว</h5>
              <div class="col" style="display:flex;">
                <input
                  type="checkbox"
                  id="vehicle1"
                  name="vehicle1"
                  value="Bike"
                />
                <label for="vehicle1" style="margin-left : 10px"> รถยนต์</label
                ><br />
                <input
                  style="margin-left : 10px"
                  type="checkbox"
                  id="vehicle2"
                  name="vehicle2"
                  value="Car"
                />
                <label for="vehicle2" style="margin-left : 10px"
                  >รถจักรยานยนต์</label
                ><br />
              </div>
              <div class="col" style="display:flex; margin-bottom: 10px;">
                <input
                  type="checkbox"
                  id="vehicle3"
                  name="vehicle3"
                  value="Boat"
                />
                <label for="vehicle4" style="margin-left : 10px">
                  รถบรรทุก</label
                ><br />
                <input
                  style="margin-left : 10px"
                  type="checkbox"
                  id="vehicle4"
                  name="vehicle4"
                  value="Boat"
                />
                <label for="vehicle4"> อื่นๆ</label><br />
                <input type="text" class="forminputAll" />
              </div>
              <h5>ความสารถในการขับขี่</h5>
              <div class="col" style="display:flex;">
                <input
                  type="checkbox"
                  id="vehicle1"
                  name="vehicle1"
                  value="Bike"
                />
                <label for="vehicle1" style="margin-left : 10px"> รถยนต์</label
                ><br />
                <input
                  style="margin-left : 10px"
                  type="checkbox"
                  id="vehicle2"
                  name="vehicle2"
                  value="Car"
                />
                <label for="vehicle2" style="margin-left : 10px"
                  >รถจักรยานยนต์</label
                ><br />
              </div>
              <div class="col" style="display:flex; margin-bottom: 10px;">
                <input
                  type="checkbox"
                  id="vehicle3"
                  name="vehicle3"
                  value="Boat"
                />
                <label for="vehicle4" style="margin-left : 10px">
                  รถบรรทุก</label
                ><br />
                <input
                  style="margin-left : 10px"
                  type="checkbox"
                  id="vehicle4"
                  name="vehicle4"
                  value="Boat"
                />
                <label for="vehicle4"> อื่นๆ</label><br />
                <input type="text" class="forminputAll" />
              </div>
              <div class="col" id="btnSubmittypework">
                <button type="submit" class="btn btn-success" id="Submitskills">
                  บันทึกข้อมูล
                </button>
              </div>
            </div>
          </div>
        </div>
        <!-- ความสามารถและผลงาน End -->
      </div>
    </div>
  </div>
</template>

<style>
@import './css/History.css';
</style>

<script>
import resumeService from './Service/Resume'
import applicantService from './Service/Applicants'
import jobService from './Service/JobRequirements'
import workService from './Service/workhistory'
export default {
  data () {
    return {
      form: {
        id: -1,
        m_User: '',
        m_Firstname: '',
        m_Lastname: '',
        m_Password: '',
        Repassword: '',
        m_Email: '',
        m_Birthdate: '',
        m_Nationality: '',
        m_Religion: '',
        m_Weight: 0.0,
        m_Height: 0.0,
        m_Gender: '',
        m_Address: {
          m_Number: '',
          m_VillageNo: '',
          m_District: '',
          m_SubDistrict: '',
          m_Province: '',
          m_PostalCode: ''
        },
        m_Phonenumber: ''
      },
      Nationality: [
        { item: 'ไทย', name: 'ไทย' },
        { item: 'พม่า', name: 'พม่า' },
        { item: 'ลาว', name: 'ลาว' },
        { item: 'อเมริกา', name: 'อเมริกา' },
        { item: 'อังกฤษ', name: 'อังกฤษ' },
        { item: 'เกาหลี', name: 'เกาหลี' }
      ],
      Religion: [
        { item: 'พุทธ', name: 'พุทธ' },
        { item: 'อิสลาม', name: 'อิสลาม' },
        { item: 'คริสต์', name: 'คริสต์' },
        { item: 'พราหมณ์-ฮินดู', name: 'พราหมณ์-ฮินดู' },
        { item: 'ซิกข์', name: 'ซิกข์' }
      ],
      Genderoptions: [
        { item: 'ชาย', name: 'ชาย' },
        { item: 'หญิง', name: 'หญิง' }
      ],
      optionsRadio: [
        { item: 'กำลังศึกษาอยู่', name: 'กำลังศึกษาอยู่' },
        { item: 'จบการศึกษาปีที่ พ.ศ', name: 'จบการศึกษาปีที่ พ.ศ' }
      ],
      province: [
        { item: 'กรุณาเลือกจังหวัด', name: 'กรุณาเลือกจังหวัด' },
        { item: 'ชลบุรี', name: 'ชลบุรี' },
        { item: 'กรุงเทพมหานคร', name: 'กรุงเทพมหานคร' },
        { item: 'พระนครศรีอยุธยา', name: 'พระนครศรีอยุธยา' },
        { item: 'ระยอง', name: 'ระยอง' }
      ],
      district: [
        { item: 'บางบาล', name: 'บางบาล' },
        { item: 'A', name: 'อำเภอแสนสุข' },
        { item: 'A', name: 'อำเภอบ้านบึง' },
        { item: 'A', name: 'อำเภอศรีราชา' },
        { item: 'A', name: 'อำเภอหนองใหญ่' },
        { item: 'A', name: 'อำเภอพนัสนิคม' }
      ],
      subdistrict: [
        { item: 'เสนา', name: 'เสนา' },
        { item: 'A', name: 'ตำบลคลองตำหรุ' },
        { item: 'A', name: 'ตำบลบางทราย' },
        { item: 'A', name: 'ตำบลสำนักบก' },
        { item: 'A', name: 'ตำบลบ้านสวน' },
        { item: 'A', name: 'ตำบลบ้านบึง' }
      ],
      PostalCode: [
        { item: '13110', name: '13110' },
        { item: 'A', name: '20170' },
        { item: 'A', name: '20130' },
        { item: 'A', name: '20110' },
        { item: 'A', name: '20160' },
        { item: 'A', name: '20240' }
      ],
      statusPerson: true,
      statusJob: false,
      statusHisEducation: false,
      statusHisWork: false,
      statusTrain: false,
      statusSkills: false,
      resume: {},
      jobReq: {},
      workHis: {}
    }
  },
  methods: {
    changeStatusPerson () {
      this.statusPerson = true
      this.statusJob = false
      this.statusHisEducation = false
      this.statusHisWork = false
      this.statusTrain = false
      this.statusSkills = false
    },
    changeStatusJob () {
      this.statusPerson = false
      this.statusJob = true
      this.statusHisEducation = false
      this.statusHisWork = false
      this.statusTrain = false
      this.statusSkills = false
    },
    changeStatusHisEducation () {
      this.statusPerson = false
      this.statusJob = false
      this.statusHisEducation = true
      this.statusHisWork = false
      this.statusTrain = false
      this.statusSkills = false
    },
    changeStatusHisWork () {
      this.statusPerson = false
      this.statusJob = false
      this.statusHisEducation = false
      this.statusHisWork = true
      this.statusTrain = false
      this.statusSkills = false
    },
    changeStatusTrain () {
      this.statusPerson = false
      this.statusJob = false
      this.statusHisEducation = false
      this.statusHisWork = false
      this.statusTrain = true
      this.statusSkills = false
    },
    changeStatusSkills () {
      this.statusPerson = false
      this.statusJob = false
      this.statusHisEducation = false
      this.statusHisWork = false
      this.statusTrain = false
      this.statusSkills = true
    },
    StatusRadioeducation () {
      if (this.optionsRadio.name === 'กำลังศึกษาอยู่') {
        document.getElementById('formYearEdu').disabled = true
      }
    }
  },
  // computed: {
  //   stateUser () {
  //     return this.User.length >= 10 && this.User.length <= 16
  //   },
  //   invalidFeedbackUser () {
  //     if (this.User.length === 0) {
  //       return 'กรุณากรอกชื่อผู้ใช้งาน'
  //     } else if (this.User.length > 16) {
  //       return 'กรุณากรอกชื่อผู้ใช้งานที่มีความยาวน้อยกว่าหรือเท่ากับ 16 ตัวอักษร'
  //     }
  //     return 'กรุณากรอกชื่อผู้ใช้งาน'
  //   },
  //   validFeedbackUser () {
  //     return this.User.length >= 10 && this.User.length <= 16 ? 'สำเร็จ' : ''
  //   },
  //   stateEmail () {
  //     return this.Email.length >= 10 && this.User.length <= 16
  //   },
  //   invalidFeedbackEmail () {
  //     if (this.Email.length === 0) {
  //       return 'กรุณากรอกอีเมล'
  //     } else if (this.Email.length > 16) {
  //       return 'กรุณากรอกอีเมลที่มีความยาวน้อยกว่าหรือเท่ากับ 16 ตัวอักษร'
  //     }
  //     return 'กรุณากรอกชื่ออีเมล'
  //   },
  //   validFeedbackEmail () {
  //     return this.Email.length >= 10 && this.Email.length <= 16 ? 'สำเร็จ' : ''
  //   },
  //   stateName () {
  //     return this.Email.length >= 10 && this.Email.length <= 16
  //   },
  //   invalidFeedbackName () {
  //     if (this.Name.length === 0) {
  //       return 'กรุณากรอกชื่อ'
  //     } else if (this.Name.length > 16) {
  //       return 'กรุณากรอกชื่อที่มีความยาวน้อยกว่าหรือเท่ากับ 16 ตัวอักษร'
  //     }
  //     return 'กรุณากรอกชื่อ'
  //   },
  //   validFeedbackName () {
  //     return this.Name.length >= 10 && this.Name.length <= 16 ? 'สำเร็จ' : ''
  //   },
  //   stateSurname () {
  //     return this.Surname.length >= 10 && this.Surname.length <= 16
  //   },
  //   invalidFeedbackSurname () {
  //     if (this.Surname.length === 0) {
  //       return 'กรุณากรอกนามสกุล'
  //     } else if (this.Surname.length > 16) {
  //       return 'กรุณากรอกนามสกุลที่มีความยาวน้อยกว่าหรือเท่ากับ 16 ตัวอักษร'
  //     }
  //     return 'กรุณากรอกนามสกุล'
  //   },
  //   validFeedbackSurname () {
  //     return this.Surname.length >= 10 && this.Surname.length <= 16
  //       ? 'สำเร็จ'
  //       : ''
  //   }
  // },
  mounted () {
    this.form = applicantService.getApplicant(1)
    this.resume = resumeService.getResume(this.form.id)
    this.jobReq = jobService.getJobReq(this.resume.id)
    this.workHis = workService.getWorkhis(this.resume.id)
    console.log('Vue is Application data page')
    console.log(this.resume)
    console.log('job')
    console.log(this.jobReq)
    console.log('work')
    console.log(this.workHis)
  }
}
</script>
